## org.apache.commons.math.exception
Class NoDataException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalStateException
                      org.apache.commons.math.exception.MathIllegalStateException
                          org.apache.commons.math.exception.NoDataException

All Implemented Interfaces:
  Serializable, MathThrowable

    public class NoDataException

extends MathIllegalStateException

Exception to be thrown when the required data is missing.

Since:
  2.2
Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private static long` `serialVersionUID` Serializable version Id.

Constructor Summary
`NoDataException()` Construct the exception.
`NoDataException(Localizable specific)` Construct the exception with a specific context.

Method Summary

Methods inherited from class org.apache.commons.math.exception.MathIllegalStateException
`getArguments, getGeneralPattern, getLocalizedMessage, getMessage, getMessage, getSpecificPattern`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serializable version Id.

  See Also:
    Constant Field Values

Constructor Detail

### NoDataException

    public NoDataException()

  Construct the exception.

### NoDataException

    public NoDataException(Localizable specific)

  Construct the exception with a specific context.

  Parameters:
    `specific` - Contextual information on what caused the exception.

Copyright (c) 2003-2013 Apache Software Foundation